mod check;
mod cmd;
mod data;
mod import;
mod io;
mod show;

fn main() -> anyhow::Result<()> {
    use clap::Parser;
    let inv = cmd::Invocation::parse();

    pretty_env_logger::formatted_builder()
        .filter_level(match inv.verbose {
            0 => log::LevelFilter::Info,
            1 => log::LevelFilter::Debug,
            _ => log::LevelFilter::Trace,
        })
        .init();

    inv.cmd.run(&inv)
}
